/*
    GNOME Commander - A GNOME based file manager 
    Copyright (C) 2001-2002 Marcus Bjurman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/ 
#ifndef __GNOME_CMD_CVS_UPDATE_DIALOG_H__
#define __GNOME_CMD_CVS_UPDATE_DIALOG_H__

BEGIN_GNOME_DECLS

#define GNOME_CMD_CVS_UPDATE_DIALOG(obj) \
	GTK_CHECK_CAST (obj, gnome_cmd_cvs_update_dialog_get_type (), GnomeCmdCvsUpdateDialog)
#define GNOME_CMD_CVS_UPDATE_DIALOG_CLASS(klass) \
	GTK_CHECK_CLASS_CAST (klass, gnome_cmd_cvs_update_dialog_get_type (), GnomeCmdCvsUpdateDialogClass)
#define GNOME_IS_CMD_CVS_UPDATE_DIALOG(obj) \
	GTK_CHECK_TYPE (obj, gnome_cmd_cvs_update_dialog_get_type ())


typedef struct _GnomeCmdCvsUpdateDialog GnomeCmdCvsUpdateDialog;
typedef struct _GnomeCmdCvsUpdateDialogClass GnomeCmdCvsUpdateDialogClass;



struct _GnomeCmdCvsUpdateDialog
{
	GnomeDialog parent;

	GtkWidget *file_clist;

	GnomeCmdDir *dir;
	gchar *filename;
};


struct _GnomeCmdCvsUpdateDialogClass
{
	GnomeDialogClass parent_class;
};


GtkWidget*
gnome_cmd_cvs_update_dialog_new (void);

GtkType
gnome_cmd_cvs_update_dialog_get_type (void);

void
gnome_cmd_cvs_update_dialog_set_dir (GnomeCmdCvsUpdateDialog *dialog, GnomeCmdDir *dir);

void
gnome_cmd_cvs_update_dialog_update (GnomeCmdCvsUpdateDialog *dialog);

void
gnome_cmd_cvs_update_dialog_parse (GnomeCmdCvsUpdateDialog *dialog, gchar *text);

#endif //__GNOME_CMD_CVS_UPDATE_DIALOG_H__


